## org.biojava.bio.dp.twohead
Class EmissionCache

    java.lang.Object
      org.biojava.bio.dp.twohead.EmissionCache

public class EmissionCache
extends java.lang.Object

Cache for columns of emission probabilities in pair-wise alignment algorithms.

Author:
  Matthew Pocock

Constructor Summary
`EmissionCache(Alphabet alpha, State[] states, int dsi, ScoreType scoreType)`

Method Summary
`void` `clear()`
`double[]` `getEmissions(java.util.List symList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmissionCache

    public EmissionCache(Alphabet alpha,
                         State[] states,
                         int dsi,
                         ScoreType scoreType)

Method Detail

### getEmissions

    public final double[] getEmissions(java.util.List symList)
                                throws IllegalSymbolException

  Throws:
    `IllegalSymbolException`

### clear

    public void clear()